import { HomeIcon } from "../icons/HomeIcon";
import type {JSX} from "solid-js";
import { DocxIcon } from "../icons/DocxIcon";
import { StackIcon } from "../icons/StackIcon";
import { ScanIcon } from "../icons/ScanIcon";
import { KeyIcon } from "../icons/KeyIcon";
import { PaletteIcon } from "../icons/PaletteIcon";
import { A } from "@solidjs/router";

export function NavRail() {
    return (
        <div class="flex flex-col justify-center items-center h-screen overflow-x-hidden">
            <NavRailButton path="/" name="Inicio" icon={<HomeIcon />} />
            <NavRailButton path="/certs" name="Certs" icon={<DocxIcon />} />
            <NavRailButton path="/batch" name="Batch" icon={<StackIcon />} />
            <NavRailButton path="/accesos" name="Accesos" icon={<KeyIcon />} />
            <NavRailButton path="/escaneo" name="Escaneo" icon={<ScanIcon />} />
            <NavRailButton path="/colores" name="Colores" icon={<PaletteIcon />} />
        </div>
    );
}

function NavRailButton(props: {
    name: string,
    icon: JSX.Element,
    path: string,
}) {
    const anchorEl = (
        <A
            class="my-3 text-center group hover:bg-c-surface-variant rounded-xl transition-colors
                max-w-[4rem] inline-block select-none"
            href={props.path}
            end
        >
            <div class={"p-1 inline-block group-[.active]:bg-c-surface-variant min-w-[4rem] rounded-full transition-colors"}>
                {props.icon}
            </div>
            <span class="text-sm">
                {props.name}
            </span>
        </A>
    );



    return anchorEl;
}
